cmake_minimum_required(VERSION 3.20)

project(
  vector_search
  VERSION 0.1.0
  LANGUAGES CXX)

add_library(
  vector_search STATIC
  src/word_list.cpp
  include/word_list.h
  src/linear_finder.cpp
  include/linear_finder.h
  src/sorted_linear_finder.cpp
  include/sorted_linear_finder.h
  src/parallel_finder.cpp
  include/parallel_finder.h
  src/tree_finder.cpp
  include/tree_finder.h
  src/grouped_finder.cpp
  include/grouped_finder.h
  include/finder.h
  src/bucket_finder.cpp
  include/bucket_finder.h)

target_include_directories(vector_search PUBLIC ${PROJECT_SOURCE_DIR}/include)

target_compile_features(vector_search PUBLIC cxx_std_20)
